Package org.eclipse.net4j.util.security

# Class NotAuthenticatedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.SecurityException
org.eclipse.net4j.util.security.NotAuthenticatedException

All Implemented Interfaces:
  `Serializable`

public class NotAuthenticatedException extends SecurityException
An unchecked `security exception` indicating that a user has canceled an attempt to authenticate himself.

Since:
  3.4
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NotAuthenticatedException()`
`NotAuthenticatedException(String s)`
`NotAuthenticatedException(String message, Throwable cause)`
`NotAuthenticatedException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotAuthenticatedException

public NotAuthenticatedException()

### NotAuthenticatedException

public NotAuthenticatedException(String s)

### NotAuthenticatedException

public NotAuthenticatedException(Throwable cause)

### NotAuthenticatedException

public NotAuthenticatedException(String message, Throwable cause)